# 6. Get profile by uuid

### **Request**

<table><thead><tr><th width="249">Method</th><th>URL</th></tr></thead><tbody><tr><td>GET</td><td>api_url/browser/get-profile-by-uuid?uuid={uuid}</td></tr></tbody></table>

<table><thead><tr><th width="167">Params</th><th width="167.33333333333331">Value</th><th>Description</th></tr></thead><tbody><tr><td>uuid</td><td>string</td><td>UUID of profile</td></tr></tbody></table>

### **Example Request**

<table><thead><tr><th width="251">Method</th><th>URL</th></tr></thead><tbody><tr><td>GET</td><td><a href="http://127.0.0.1:5555/get-list-tag">http://127.0.0.1:5555</a>/browser/get-profile-by-uuid?uuid=99801eb6-41c0-4f94-a3f7-f14d2886f594</td></tr></tbody></table>

### **Example Response**

{% code lineNumbers="true" %}

````json
```json
{
    "type": "success",
    "title": "Request successfully.",
    "content": {
        "uuid": "99801eb6-41c0-4f94-a3f7-f14d2886f594",
        "name": "Xander Crist I [3]",
        "config": {
            "name": "Xander Crist I [3]",
            "version": 112,
            "os": "win",
            "browser_type": "hidemium",
            "userAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/112.0.5615.121 Safari/537.36",
            "osVersion": "Windows NT 10.0; Win64; x64",
            "browserVersion": "112.0.5615.121",
            "Resolution": {
                "width": 1920,
                "height": 1080,
                "pixelRatio": 2
            },
            "canvas": "noise",
            "WebGLImage": true,
            "WebGLMeta": true,
            "clientRectsEnable": false,
            "WebGLMetadataVendor": "Google Inc. (NVIDIA)",
            "WebGLMetadataRenderer": "ANGLE (NVIDIA, NVIDIA GeForce GTX 1070 Ti Direct3D11 vs_5_0 ps_5_0, D3D11-27.21.14.5671)",
            "languages": "en-US,en;q=0.9",
            "mediaDevices": true,
            "timezone": "Asia/Bangkok"
        },
        "proxy": "",
        "created_at": "2023-06-26T04:58:23.000000Z",
        "created_at_diff": "1 day ago",
        "note": "",
        "last_open": null,
        "last_open_diff": null,
        "status": null,
        "status_chil": 0,
        "tags": []
    }
}
```
````

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hidemium.io/use-cases/api-automation-v2/get-profile/6.-get-profile-by-uuid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
